#include <bits/stdc++.h>
using namespace std;
int main(){
long long n,m;
cin>>n>>m;
long long niz[n],matra[m][2],suma=0;
for(int i=0; i<n; i++){
    cin>>niz[i];
}
for(int i=0; i<m; i++){
    for(int j=0; j<2; j++)
        cin>>matra[i][j];
}
for(int i=0; i<m; i++){
    suma+=abs(niz[matra[i][0]-1]+niz[matra[i][1]-1]);
}
cout<<suma;
return 0;
}